Skip to main content

Questions tagged [mesa]

a free implementation of the OpenGL 3D graphics library

Filter by
Sorted by
Tagged with
0 votes
0 answers
31 views

Unable to upgrade Mesa on Debian

I am running Debian with kernel 6.5-asahi on an Apple M1 MacBook Air. Although I have kernel 6.9 installed, if I boot into it Mesa goes into software acceleration mode. apt upgrade gives The following ...
Nick Bailuc's user avatar
0 votes
0 answers
44 views

Mesa OpenGL Drivers not Being Appropriately Used

I am setting up a somewhat but not super old laptop (4ish years) and am having an issue with OpenGL. WHen launching programs that use modern OpenGL like Kitty, I get errors such as the following: [0....
pat.io's user avatar
  • 1
0 votes
0 answers
223 views

amdgpu SMU driver if version mismatch overrides power limit

I've got 6700S laptop GPU that has 100W power limit provided by ASUS' custom design or whatever. On Windows it uses 100W power limit just fine. But on Linux with amdgpu it starts for a couple of ...
insanie's user avatar
1 vote
1 answer
118 views

Gnome Shell display error in Arch Linux / Problem with old Intel graphics card

In a fresh Arch Linux Installation with Gnome occurring display errors on specific applications. I have reinstalled Arch Linux (archlinux-2024.01.01-x86_64.iso) due to display errors after an update ...
JD38292's user avatar
  • 31
0 votes
1 answer
363 views

Running Davinci Resolve with AMD GPU

I want to run Davinci Resolve on my Arch Linux system with a AMD 7900 XTX GPU. Currently Resolve does not even start (process exits immediately after start). Here are the outputs: $ ./resolve ...
Boris's user avatar
  • 103
0 votes
1 answer
95 views

What changes occur in linux graphics stack when a GPU driver is installed?

This image from Wikipedia illustrates the so-called "linux graphics stack". Suppose I buy a laptop that is so new that there exists no dedicated device driver for its GPU. Hence, the ...
apadana's user avatar
  • 123
0 votes
0 answers
214 views

Need to disable hardware acceleration in Arch Linux?

Found out that Hardware Acceleration when using a AMD Ryzen 9 5900HX will cause video lockups or system reboots. Using a Minisforum HX90 computer. Using open-source drivers and admgpu. No error msg, ...
Grizzzly's user avatar
-1 votes
1 answer
834 views

Mesa OpenGL Drivers configuration for OpenGL on RHEL7

Our application needs Opengl 3.1 support or higher. The RHEL7.9 VM (thru VMware, with the VMware SVGA II adapter) we use, provides the following for glxinfo | grep version: - server glx version ...
ZeeGo's user avatar
  • 13
0 votes
0 answers
360 views

How do I force Virt-Manager to use the hosts' llvmpipe renderer so the guests get to use 3D acceleration?

I'm using virt-manager and set "3D Acceleration" as per what was recommended, but I'm getting this error: qemu_gl_create_compile_shader: compile vertex error 0:2(10): error: GLSL ES 3.00 is ...
X.LINK's user avatar
  • 1,344
0 votes
1 answer
24 views

Spurious display of frame-time statistics on some applications

Since I cannot precisely tell what upgrade (possibly nvidia-drivers from 340 to 470 or mesa 20 to 22 or even xorg-server 1.20 to 21) or following the first time I ran glxgears after upgrading ? : I (...
MC68020's user avatar
  • 8,249
1 vote
1 answer
4k views

How to check whether or not your GPU is currently using Mesa for rendering OpenGL/Vulkan?

As a Linux fan, I want to get into OpenGL development as a hobby of mine. I know that OpenGL is just an API that the GPU vendors must implement. Some GPU vendors' OpenGL/Vulkan implementations are ...
thebluepandabear's user avatar
1 vote
1 answer
2k views

Problem using Intel integrated graphics GPU (Xorg)

I am trying to get the Intel integrated GPU working with my Parabola (Arch variant) desktop PC. According to lspci, the GPU is: 00:02.0 Display controller: Intel Corporation Xeon E3-1200 v2/3rd Gen ...
Time4Tea's user avatar
  • 2,405
1 vote
0 answers
998 views

Mesa crocus driver not being used on Debian

I have an i7-5500U chip (which I think means it's 5th gen) with Intel Corporation HD Graphics 5500 (rev 09). I use Debian unstable and a few weeks ago the libgl1-mesa-dri package got updated from 21.3....
ironchicken's user avatar
1 vote
0 answers
87 views

How do I see what version of certain libraries are being used by a snap package

I'm trying to determine what version of MESA the latest firefox snap package is using. Is there a way this can be done?
WallyZ's user avatar
  • 111
0 votes
1 answer
420 views

A wine program needs /usr/lib/dri/iris_dri.so on Fedora 36, what do I do?

I have just installed Fedora 36 on a system, and I am trying to run Mavis Beacon Teaches Typing 15 with wine. The program worked in Fedora 35 after installing mfc42 and corefonts, but is failing in ...
TheLabCat's user avatar
  • 113
0 votes
1 answer
4k views

How to install newer mesa to support opengl 3.x in centos 7.6?

Currently, glxinfo|grep "OpenGL version" gives OpenGL version string: 4.6 Mesa 18.3.4 And mesa-libGL-devel-18.3.4-12.el17_9.x86_64 got installed by default, but my app needs OpenGL 3.2 ...
Alex Luya's user avatar
  • 101
0 votes
0 answers
495 views

AMD GPU Overheating and Shutting Down after 5.15.15 Kernel Update (Pop!_OS 21.10)

I am new to the forums here, but I have a question regarding some unusual issues I have encountered after a recent system update on my installation. After upgrading to Kernel 5.15.15 (or possibly the ...
Rockwell_Lancer's user avatar
3 votes
0 answers
1k views

How to use OpenGL on Zink, Mesa, MoltenVK, and macOS

I want to play with OpenGL on macOS 11.6. Awhile ago I tried and got something to run but it seemed to be broken so I assume OpenGL doesn’t work on this version of macOS. I’ve read this is expected on ...
David Winiecki's user avatar
0 votes
1 answer
430 views

"OpenGL version is too low (0)" does this matter with a remote connection?

I'm running an app on a remote Linux machine, whose console output tells me: OpenGL version is too low (0). Falling back to Mesa software rendering. OpenGL version: "3.1 Mesa 18.1.9 (git-...
einpoklum's user avatar
  • 9,652
1 vote
0 answers
1k views

Cannot allocate video mem to "virtio-vga-gl" VGA in Qemu

I want to allocate some video memory to a Qemu VM which uses virgl VGA to enable 3D acceleration. I typed this command to try to allocate 1G video memory to it: qemu-system-x86_64 -hda RedHat.qcow2 -m ...
zzzhhh's user avatar
  • 155
0 votes
1 answer
1k views

steam windows are empty + "glxinfo: command not found"

I'm new to Arch, coming from Ubuntu I have very recently installed EndeavourOS today I installed Steam, but my windows are shown empty Looking for some solution I notice that often the finger is ...
Francesco Iapicca's user avatar
3 votes
0 answers
459 views

Why do i get “Permission denied” errors from using Weston/Wayland

I have built a Linux system with Buildroot (2021.05) to run on a raspberry pi 4. My graphics stack include using mesa (vc4, v3d, kmro), Wayland / Weston with a DRM back-end. Also installed kmscube, ...
Cerezo's user avatar
  • 181
2 votes
1 answer
2k views

mesa-common-dev: unmet dependencies

I'm trying to install mesa-common-dev on Ubuntu LTS: sudo apt-get install mesa-common-dev however, the system returns: The following packages have unmet dependencies: mesa-common-dev : ...
Cristian Pastro's user avatar
0 votes
1 answer
2k views

Problem installing mesa-git from unofficial repo (Arch)

I'm trying to install mesa-git from the unofficial repo in Arch but the install fails. I would just like to know if there is any way around this or is this method just broken? I did find a video ...
Tanner James's user avatar
1 vote
0 answers
612 views

How to update MESA for a higher supported OpenGL version?

I am running Debian 10 buster and I need a higher OpenGL version for an application to run. Here is what I get as an output when I search for my MESA version: "OpenGL version string: 3.0 Mesa 18....
thevicraft's user avatar
0 votes
2 answers
3k views

libGL error: MESA-LOADER: failed to open iris (search paths /usr/lib64/dri)

I'm trying to run an app on Fedora 33, but when I run the executable, I get this error: error while loading shared libraries: libnsl.so.1: cannot open shared object file: No such file or directory ...
SClark's user avatar
  • 1
5 votes
1 answer
7k views

Why is the Mesa OpenGL driver for Intel chips called i965?

As I understand, most Intel GPUs are supported on Linux by two different components : i965 (the Mesa/OpenGL part, supporting all recent Intel GPUs) and i915 (kernel part, similarly supporting all ...
F.X.'s user avatar
  • 297
2 votes
1 answer
1k views

SYCL and OpenCL for AMD gpu

I have an AMD 5700XT gpu and I am trying to learn SYCL but I have a lot of doubts of the current state of AMD gpu driver stacks. According to what I read, there are several driver stacks for AMD gpus: ...
jjcasmar's user avatar
  • 333
1 vote
0 answers
439 views

Mini DisplayPort 1.2 to DP 1.2 on Dell monitor not working

I have a laptop (TUXEDO Book BC1510) with 1 HDMI and 1 Mini DisplayPort 1.2 running Pop!_OS 20.04. Pop is an Ubuntu derived distro by System76. This is in "About": i7 9750H Mesa Intel UHD ...
Angus's user avatar
  • 113
2 votes
1 answer
3k views

Where does Mesa store its Vulkan shader cache on Linux?

I would like to delete the Mesa Vulkan shader cache for a particular application I'm using. Where is this cache stored by default on recent (Mesa 19/20) versions?
Newbyte's user avatar
  • 1,088
0 votes
0 answers
2k views

Failed to start with picom vsync_opengl_swc_init error

When I start picom, which is picom command in my terminal, I got [ 07/30/2020 13:48:19.422 vsync_opengl_swc_init ERROR ] Failed to load a swap control extension. [ 07/30/2020 13:48:19.422 session_init ...
qiuweikang's user avatar
0 votes
0 answers
76 views

Problems in Video playback or quick scrolling problems - ThinkPad - Linux mint 20

I installed Linux Mint 20 on my laptop (thinkpad x1 yoga 4th gen | intel core i7 10th gen), I updated everything that needs to be updated through update manager, but when I open videos on YouTube or ...
David Lev's user avatar
0 votes
1 answer
148 views

How to prefer software installed in /usr/local

I have installed mesa using apt in my system. This mesa is installed in /usr/lib/arm-linux-gnueabihf directory. Now I compiled and installed the newest version of mesa manually from source, and it's ...
BlueManCZ's user avatar
  • 1,743
0 votes
1 answer
289 views

Install Mesa backport from openSUSE Build Service?

I'm running Debian 10 on my PC. I'm trying to install a Mesa 19.1.6 backport from this repository on the openSUSE Build Service. I tried to install it like this: echo 'deb http://download....
Marietto's user avatar
  • 549
1 vote
0 answers
1k views

Xorg server freezes and I must restart lightdm - any way to recover without closing all applications?

I use Arch Linux with the 5.2.5 stock kernel, Cinnamon 4.2.3, LightDM 1.30.0 and Mesa 19.1.3. My GPU is a Radeon RX 550 2GB. Sometimes, my desktop freezes as if there's a problem with the GPU or the ...
Marc.2377's user avatar
  • 1,102
0 votes
1 answer
448 views

Mismatch between mesa+vulkan driver verison used by Proton and the host mesa driver version

Proton is working fine with the latest DXVK implementation but when I browse on the log files of the games used by Proton I notice a mismatch between the mesa driver version of my host system and the ...
kub0x's user avatar
  • 101
0 votes
1 answer
377 views

Debian: Can't install qtcreator because of broken packages

I'm trying to install qtcreator or any other qt development package but it's not working because of broken packages. I then tried to install qtcreator manually from the qt website but I can't compile ...
imad's user avatar
  • 3
5 votes
3 answers
19k views

How to properly update Mesa drivers?

I need OpenGL 4.5 to be supported by my graphics card's driver, and as far as I know Mesa is actually able to run it. glxinfo gives me this: $ glxinfo | grep "OpenGL" OpenGL vendor string: Intel Open ...
Verloren's user avatar
  • 224
1 vote
1 answer
706 views

Unable to use OpenGL ARB_gpu_shader_int64 extension with Mesa

I am working on OpenGL shaders, and I need uint64_t types, etc... However, when I do glxinfo, this extension is not in the list. I am using Mesa 18.0.5, and this page tells that the extension is ...
Hugal31's user avatar
  • 189
0 votes
1 answer
504 views

ffmpeg snap package error in Debian 9: libGL error: unable to load driver: r600_dri.so

I am using Debian 9 with an older Radeon GPU (5450). I am interested in using the snap package of ffmpeg (which is version 4.1) because of some issues I may be able to fix with the newer snap instead ...
jbrock's user avatar
  • 1,171
0 votes
1 answer
502 views

not able to compile OpenGL code

I'm running Linux Mint 19.1 on my laptop and facing this problem. When I try to compile C++ program with OpenGL libraries it says: $ make g++ solsys.cpp -lglut -lGLEW -lGL -lGLU -fpermissive -o ...
mend4x's user avatar
  • 527
3 votes
2 answers
9k views

libGL errors when starting X applications via SSH

I have a Debian stretch x64 server running in a virtual KVM machine. I have installed Cygwin on Windows 7 Pro x64 and would like to run X applications on the Debian machine, using the Cygwin X server ...
Binarus's user avatar
  • 3,430
3 votes
1 answer
86 views

The standard mechanism to switch GPUs isn't undocumented, is it?

My laptop is a normal, uninteresting machine with two standard, unmultiplexed GPUs and an ordinary Debian stretch installation. The secondary GPU (a Radeon) is usually powered down but I can activate ...
thb's user avatar
  • 1,145
0 votes
1 answer
3k views

Using Mesa v18.0.5, but only getting OpenGL v3.0

I am trying to develop C/C++ applications using OpenGL. Unfortunately, I have been unable to access any functionality past OpenGL 3.0. I have Mesa version 18.0.5, Linux Mint 18 64-bit, the 4.18.1 ...
T. K.'s user avatar
  • 3
1 vote
2 answers
2k views

Installation of mesa-18.1.4, stuck at "libtizcore"

I was trying to install another version of x-server, it needed lots of packages including mesa and it needed a lot of, too. I installed over 15 packages... I found every package by googling and ...
Emre Akyele's user avatar
1 vote
0 answers
441 views

Ubuntu 18.04: Failed to find module 'mesa' when loading kernel modules

I recently turned on my laptop upon returning home and found that it would not start DE properly, exhibiting 'Load Kernel Modules' errors and forcing me to use tty2 through 6 to achieve anything. Upon ...
Stuart Foxcroft's user avatar
2 votes
3 answers
1k views

Why isn't there a /usr/include/GL directory on OpenBSD?

I have just recently made the switched for Linux to OpenBSD. So far, I am really liking the philosophy of including the bare minimum needed to run the system, and the emphasis for clean and simple ...
user avatar
3 votes
0 answers
224 views

3D Graphics Support on a Radeon 6870 for steam gaming

I'm running Arch Linux and I'm trying to get a Radeon HD 6870 setup for gaming on Steam, specifically for Windows games such as Skyrim and Dark Souls 3 using Wine. I've done this on a desktop with ...
Brian Deragon's user avatar
2 votes
0 answers
566 views

OpenGL applications display scary error messages after Mesa re-install

After messing around with some PPAs in an attempt to upgrade the Mesa drivers under Linux Mint 17.3 KDE on my Lenovo Ideapad, I managed to seemingly bring everything back to working order. Now, ...
Charles Diploma's user avatar
1 vote
2 answers
4k views

Updating OpenGL from 3.0 to 3.1

I need to upgrade my OpenGL version from 3.0 to 3.1. Stackexchange is full of postings that tackle specific situations, and it proved difficult for me to see the tree from the wood, not to mention to ...
XavierStuvw's user avatar
  • 1,139